#include "G4VProcess.hh"
#include <fstream>
#include "G4ios.hh"
#include "G4UnitsTable.hh"
#include "TSHMSAnalysisManager.hh"
#include "G4Step.hh"

using namespace std;

TSHMSAnalysisManager* TSHMSAnalysisManager::instance = 0;

TSHMSAnalysisManager::TSHMSAnalysisManager()
{
  G4cout << " A single copy of Analysis class has been created " << G4endl;
}
//------------------------------------------------------------------------------
TSHMSAnalysisManager::~TSHMSAnalysisManager() 
{
  G4cout << "Destructor for analysis maneger is called" << G4endl;
}
//------------------------------------------------------------------------------
TSHMSAnalysisManager* TSHMSAnalysisManager::getInstance()
{
  if ( instance == 0 ) instance = new TSHMSAnalysisManager;
  return instance;
}
//------------------------------------------------------------------------------
